<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.BasicItem"
	import="net.sf.basedb.core.Nameable"
	import="net.sf.basedb.core.Registered"
	import="net.sf.basedb.core.Shareable"
	import="net.sf.basedb.core.Removable"
	import="net.sf.basedb.core.Ownable"
	import="net.sf.basedb.core.Reporter"
	import="net.sf.basedb.core.data.ReporterData"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.formatter.FormatterFactory"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final DbControl dc = sc.newDbControl();
final Item itemType = Item.valueOf(request.getParameter("item_type"));
final int itemId = Values.getInt(request.getParameter("item_id"));
try
{
	String name = null;
	Date registered = null;
	boolean isShared = false;
	boolean isRemoved = false;
	boolean isOwnedByYou = false;
	if (itemType.getItemClass() != null)
	{
		BasicItem item = itemType.getById(dc, itemId);
		name = item instanceof Nameable ? ((Nameable)item).getName() : item.toString();
		if (item instanceof Registered) registered = ((Registered)item).getEntryDate();
		if (item instanceof Shareable) isShared = ((Shareable)item).isShared();
		if (item instanceof Removable) isRemoved = ((Removable)item).isRemoved();
		if (item instanceof Ownable) isOwnedByYou = ((Ownable)item).isOwner();
	}
	else if (itemType == Item.REPORTER)
	{
		ReporterData reporter = Reporter.getById(dc, itemId);
		name = reporter.getName();
		registered = reporter.getEntryDate();
	}

	Formatter<Date> dateFormatter = FormatterFactory.getDateFormatter(sc);
	%>
	<base:page type="popup" title="Item information">
	<base:head />
	<base:body>
		<h3 class="docked">Item information</h3>
		<div class="boxedbottom">
			
			<table class="form" border="0" cellspacing="1" cellpadding="2">
			<tr>
				<td class="prompt">Type</td>
				<td><%=itemType.name()%></td>
			</tr>
			<tr>
				<td class="prompt">ID</td>
				<td><%=itemId%></td>
			</tr>
			<tr>
				<td class="prompt">Name</td>
				<td><%=name == null ? "<i>unknown</i>" : HTML.niceFormat(name)%></td>
			</tr>
			<tr>
				<td class="prompt">Registration date</td>
				<td><%=registered == null ? "<i>unknown</i>" : dateFormatter.format(registered)%></td>
			</tr>
			<tr>
				<td class="prompt">Owned by you?</td>
				<td><%=isOwnedByYou ? "yes" : "no"%></td>
			</tr>
			<tr>
				<td class="prompt">Shared to other users?</td>
				<td><%=isShared ? "yes" : "no"%></td>
			</tr>
			<tr>
				<td class="prompt">Marked for removal?</td>
				<td><%=isRemoved ? "yes" : "no"%></td>
			</tr>
			</table>
		</div>
		<br>
		<table align="center">
		<tr>
			<td><base:button onclick="window.close()" title="Close" /></td>
		</tr>
		</table>
		</form>
	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>
