/* $Id: tab.js 4889 2009-04-06 12:52:39Z nicklas $
	------------------------------------------------------------------
	Copyright (C) 2005 Nicklas Nordborg
	Copyright (C) 2006 Jari Häkkinen

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	JavaScript functions for the TabControl taglib.

	@author Nicklas
	@version 2.0
*/

var TabControl = new TabControlClass();
function TabControlClass()
{

	/*
		Switch to another tag
		@param tabControlId The ID attribute of the main tabcontrol
		@param tabId The ID attribute of the tab to make active
	*/
	this.setActiveTab = function(tabControlId, tabId)
	{
		var realTabId = tabControlId+'.'+tabId;
		var tabControl = document.getElementById(tabControlId);
		var tab = document.getElementById(realTabId);
		if (tabControl.activeTab == tab) return;
		if (!this.validateActiveTab(tabControlId)) return;
	
		if (tabControl.activeTab != null)
		{
			if (tabControl.className == 'tabcontrol_bottom')
			{
				tabControl.activeTab.className = 'tab_bottom';
			}
			else
			{
				tabControl.activeTab.className = 'tab';
			}
			//tabControl.activeTab.style.zIndex--;
		}
		if (tabControl.className == 'tabcontrol_bottom')
		{
			tab.className = 'activetab_bottom';
		}
		else
		{
			tab.className = 'activetab';
		}
		//tab.style.zIndex++;
		tabControl.activeTab = tab;
	
		if (tabControl.activeContent != null)
		{
			tabControl.activeContent.style.display = 'none';
		}
		var content = document.getElementById(realTabId+'.content');
		if (content != null)
		{
			content.style.display = 'block';
			tabControl.activeContent = content;
		}
	}
	
	/**
		Validates the active tab
		@param tabControlId The ID attribute of the main tabcontrol
	*/
	this.validateActiveTab = function(tabControlId)
	{
		var tabControl = document.getElementById(tabControlId);
		if (tabControl.activeTab != null && tabControl.activeTab.validate != null)
		{
			return eval(tabControl.activeTab.validate);
		}
		else
		{
			return true;
		}
	}

	/**
		Set the validation function for a tab
		@param tabControlId The ID attribute of the main tabcontrol
		@param tabId The ID attribute of the tab
		@param validate The function that validates the tab
	*/
	this.setValidate = function(tabControlId, tabId, validate)
	{
		var realTabId = tabControlId+'.'+tabId;
		var tab = document.getElementById(realTabId);
		if (tab != null) tab.validate = validate;
	}
}

